javatools (0.72.1~18.04.1) bionic; urgency=medium

  * Backport from Disco. (LP: #1814133)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 19 Feb 2019 14:15:48 +0000

javatools (0.72.1) unstable; urgency=medium

  * Fixed the installation of java-arch.sh

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Nov 2018 15:09:30 +0100

javatools (0.72) unstable; urgency=medium

  * Remove obsolete fetch-eclipse-source script.
  * jh_installlibs: Correct default version mangling regex which
    failed to handle dfsg versions.  (Closes: #914417)

 -- Niels Thykier <niels@thykier.net>  Fri, 30 Nov 2018 01:23:42 +0100

javatools (0.71) unstable; urgency=medium

  * Fixed jh_installjavadoc when the target is specified (Closes: #912751)
  * Fixed the build failure with Java 11 (Closes: #911136)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 03 Nov 2018 19:48:36 +0100

javatools (0.70) unstable; urgency=medium

  * Team upload.
  * jh_exec: Fix chmod to set (not clear) the executable bit on jars
    Thank you to Alexandre Rossi for reporting this problem.

 -- tony mancill <tmancill@debian.org>  Tue, 09 Oct 2018 20:28:11 -0700

javatools (0.69) unstable; urgency=medium

  * Team upload.
  * jh_installjavadoc: Parse debian/javadoc file correctly.
  * jh_linkjars: Fix regression in handling of whitespace in the
    dependency fields.  Thanks to Markus Koschany for reporting
    the issue.  (Closes: #910112)

 -- Niels Thykier <niels@thykier.net>  Wed, 03 Oct 2018 11:44:21 +0200

javatools (0.68) unstable; urgency=medium

  * Team upload.
  * jh_installjavadoc: Add missing install_dir call to fix FTBFS
    when the target dir does not already exist.  (Closes: #909907)
  * jh_linkjars: Replace target files with a symlink rather than
    failing because it exists.  (Closes: #909954)

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Sep 2018 17:23:33 +0000

javatools (0.67) unstable; urgency=medium

  * Team upload.
  * jh_installibs: Fix error when jar file symlink already exist.
  * jh_linkjars: Handle multiple dependency fields and newlines in
    them more gracefully.

 -- Niels Thykier <niels@thykier.net>  Thu, 27 Sep 2018 11:37:20 +0200

javatools (0.66) unstable; urgency=medium

  * Team upload.
  * jh_installlibs: Re-add glob-expansion in jlibs files, which were
    unintentionally lost in the "shell -> perl" rewrite of
    jh_installibs.
  * jh_exec: Fix missing guard to skip directories that do not exist.
  * jh_installlibs: Avoid duplicated upstream version in file name
    like the original version of jh_installlibs did.
  * d/rules: Use dpkg's pkg-info.mk include file rather than parsing
    dpkg-parsechangelog output manually.

 -- Niels Thykier <niels@thykier.net>  Tue, 18 Sep 2018 19:09:45 +0000

javatools (0.65) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Fixed the UnsupportedClassVersionError when using jarwrapper with Java < 10
    (Closes: #909040)
  * Standards-Version updated to 4.2.1

  [ Niels Thykier ]
  * Rewrite jh_linkjars, jh_installibs, jh_exec, jh_installjavadoc
    and jh_classpath  using Debhelper's Dh_Lib
  * javatools can be built without (fake)root
  * Let debhelper handle auto-generated orbitdeps cache file
  * Avoid some fork+execs for trivial things

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 18 Sep 2018 01:04:20 +0200

javatools (0.64) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * jarwrapper: No longer use the d32/d64 options to detect the JVM data model
    (Closes: #893931)
  * java-vars.mk: Fixed the JVM_CLIENT_DIR and JVM_SERVER_DIR variables to work
    with Java 9 and later (Closes: #896438)
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

  [ Tiago Stürmer Daitx ]
  * jh_build: Do not set -source when --release (available on jdk9+) is set
    for either javac or javadoc. (Closes: #895230)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 09 Jun 2018 23:42:10 +0200

javatools (0.63) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Drop --parallel argument to dh sequencer (lintian warning)
  * Bump Standards-Version to 4.1.3
  * Use debhelper 11
  * Drop ancient versioned depends on perl (>= 5.12)
  * Drop build-dep on libtest-simpler-perl and fix broken tests
  * Drop dependency on gcj-jdk (Closes: #892530)

  [ Emmanuel Bourg ]
  * jarwrapper: Removed GCJ support

  [ Chris Lamb ]
  * Made the generated MANIFEST.MF files reproducible (Closes: #893504)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 23 Mar 2018 23:03:58 +0100

javatools (0.62) unstable; urgency=medium

  * Team upload.
  * Ignore the "unnamed package" generated by Java 9 in the javadoc package-list
    file when resolving the doc dependencies (Closes: #873252)
  * jh_makepkg, jh_depend: Added OpenJDK 10 & 11 support
  * jh_makepkg: Use Standards-Version 4.1.2 for the generated packages
  * Standards-Version updated to 4.1.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 04 Dec 2017 15:46:00 +0100

javatools (0.61) unstable; urgency=medium

  * Team upload.
  * jh_build: Use ISO8859-1 as the default encoding to avoid unmappable
    character errors (Closes: #866845)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Jul 2017 00:18:51 +0200

javatools (0.60) unstable; urgency=medium

  * Team upload.
  * jh_build: Generate Java 7 bytecode by default
  * jh_makepkg, jh_depend: Added OpenJDK 9 support
  * jh_makepkg: Use DH compat level 10 and Standards-Version 4.0.0
    for the generated packages
  * Removed GCJ support
  * Standards-Version updated to 4.0.0
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Jun 2017 10:28:30 +0200

javatools (0.59) unstable; urgency=medium

  * Team upload.
  * Apply patch to jh_scanjavadoc to sort resolved dependencies.
    - Thank you to Chris Lamb for the patch. (Closes: #835147)

 -- tony mancill <tmancill@debian.org>  Sat, 15 Oct 2016 16:09:05 -0700

javatools (0.58) unstable; urgency=medium

  * Team upload.
  * jh_depends: Reverted the ${java:Depends} sorting added in 0.56
    due to build failures

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 28 Jul 2016 23:13:04 +0200

javatools (0.57) unstable; urgency=medium

  * Team upload.
  * jh_depends: Set LC_ALL when calling 'sort' to improve the reproducibility

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 27 Jul 2016 23:55:15 +0200

javatools (0.56) unstable; urgency=medium

  * Team upload.
  * jh_depends: Sort the ${java:Depends} field to improve the reproducibility
    of the packages built with javahelper
  * jh_depends: Added support for Java 8
  * jh_repack: Added support for xz compressed tarballs
  * jh_makepkg: Use DH compat level 9 and Standards-Version 3.9.8
    for the generated packages
  * jh_makepkg: Added OpenJDK 8 support

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 27 Jul 2016 10:31:52 +0200

javatools (0.55) unstable; urgency=medium

  * Team upload.
  * jh_makepkg: Removed the deprecated --maven option
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs
  * Fixed the arch returned for ppc64el in java-arch.sh (LP: #1576170)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 28 Apr 2016 13:54:30 +0200

javatools (0.54) unstable; urgency=medium

  * Team upload.
  * Support spaces in source folder names.
    Thank you to Jakub Adam. (Closes: #799375)
  * Increase max command line length for xargs invocation of javac.
    Thank you to Jakub Adam. (Closes: #799378)

 -- tony mancill <tmancill@debian.org>  Sat, 17 Oct 2015 14:26:47 -0700

javatools (0.53) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * Install proper /usr/share/binfmts/jarwrapper instead of relying on
    postinst snippet setting up a local configuration.
    Closes: #779895

  [ tony mancill ]
  * Add -c and --clean to list of supported options for jh_makepkg.
    (Closes: #785779)

 -- tony mancill <tmancill@debian.org>  Thu, 13 Aug 2015 21:37:12 -0700

javatools (0.52) unstable; urgency=medium

  * Team upload.
  * Fixed the order of the -locale option (Closes: #789350)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 20 Jun 2015 21:41:58 +0200

javatools (0.51) unstable; urgency=medium

  * Team upload.
  * Set the locale to en_US when generating the javadoc
    to make the builds reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 20 Jun 2015 00:28:48 +0200

javatools (0.50) unstable; urgency=medium

  * Team upload.
  * Quote argument in jardetector to handle spaces in filenames.
    Thanks to Samuel Bronson for the bug report. (Closes: #779881)

 -- tony mancill <tmancill@debian.org>  Sun, 26 Apr 2015 11:59:28 -0700

javatools (0.49) experimental; urgency=medium

  * Team upload.
  * Insert jh_installlibs after dh_link instead of before dh_compress
    to let dh_strip_nondeterminism run after the jar files are installed
    (Closes: #764988)
  * Add the -notimestamp option when invoking javadoc
  * Removed Matthew Johnson from the uploaders (Closes: #762560)
  * Removed Niels Thykier from the uploaders (Closes: #770559)
  * Standards-Version updated to 3.9.6 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Mar 2015 00:12:16 +0100

javatools (0.48) unstable; urgency=medium

  * Team upload.
  * jarwrapper: Add MULTIARCH_LIBRARY_PATH variables for 32bit and 64bit arches
    which contain all known multiarch jni library paths and use this as
    value for -Djava.library.path depending on the JVM that is used to
    launch the application. Add an additional check for the GIJ bytecode
    interpreter and let it handle the library path by itself.
    This ensures that all JVM will find the corresponding libraries correctly.
    (Closes: #764630)

 -- Markus Koschany <apo@gambaru.de>  Fri, 05 Dec 2014 10:38:23 +0100

javatools (0.47) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Return "ppc64" as the archdir for ppc64el.  (Closes: #756311)
    - Thank you to Colin Watson for the notification and patch.

  [ Emmanuel Bourg ]
  * jh_repack: Remove the .svn directories (Closes: #689810)
  * jh_build: Compile with debug symbols (Closes: #722353)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Sep 2014 22:42:17 +0200

javatools (0.46) unstable; urgency=low

  * Team upload.

  [ tony mancill ]
  * Fix archdir for arm64 and ppc64el.  (Closes: #732860)
    - Thanks to Matthias Klose.

  [ Dmitry Smirnov ]
  * Standards to 3.9.5.
  * jarwrapper: fixed manifest parsing and long lines wrapping
    (Closes: #729943).
    + added "${perl:Depends}" to jarwrapper's Depends.
  * javahelper: added missing "${perl:Depends}" to Depends.
  * javahelper: added doc-base registration (Closes: #699180)
    - Thanks to Wolodja Wentland for patch.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 19 Mar 2014 11:49:09 +1100

javatools (0.45) unstable; urgency=low

  * jh_manifest: Fix bug where "EXCLUDE_FIND" was not
    properly expanded (regression introduced in 0.44).
    Thanks to Daniel Schepler for reporting it.
    (Closes: #725440)
  * d/control: Fix typo of "and".  Thanks to Pascal
    De Vuyst for reporting it.  (Closes: #725335)

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Oct 2013 08:44:51 +0200

javatools (0.44) unstable; urgency=low

  * Add a new minor TAP based test suite.
  * Fix bug in jh_repack when removing empty directories.
    Thanks to Francesco Poli for reporting it and writing
    the patch.  (Closes: #689788)
  * Fix the output path for javadoc generated by jh_build.
    Thanks to Jakub Adam for reporting it and writing the
    patch. (Closes: #692230)
  * jh_installeclipse: Allow any installed package to
    provide a .jar dependency, not just those with
    desired-state install.  Thanks to Colin Watson for the
    patch (pulled from Ubuntu's javatools/0.43ubuntu2).
  * ManifestSection.pm: Always write fields in a
    predictable order.  This fixes a FTBFS when the tests
    had a different order.  Thanks to Damyan Ivanov for
    reporting this bug.  (Closes: #723884)
  * jh_depends: Strip leading "file://" before looking for
    a jar file.  Thanks to Rene Engelhard for the bug
    report.  (Closes: #632821)
  * jh_installjavadoc: Apply patch from Markus Koschany to
    insert a default value for the "Author"-field when no
    author is provided.  Also fix a typo in the generated
    doc-base file.  (Closes: #625945)
  * jh_makepkg: Advise people to use mk_make for packges
    with a maven based build system.  Thanks to Hilko
    Bengen for the suggestion.  (Closes: #703376)
  * d/control: Use the canonical URL in the Vcs-* fields.
  * d/control: Bump Standards-Version to 3.9.4 - no
    changes required.

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Sep 2013 14:05:18 +0200

javatools (0.43) unstable; urgency=low

  * Make jh_build pass -source 1.5 by default to javadoc if
    no -source parameter is explicitly given.
  * Make jh_build pass -target 1.5 by default to javac if
    neither -source nor -target is explicitly given.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 18:59:08 +0200

javatools (0.42) unstable; urgency=low

  * Add support for Java7 in jh_depends.  The jvm "open" now
    defaults to any OpenJDK version.  The "open6" and "open7"
    values can be used to depend on a specific one.

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Jun 2012 11:48:47 +0200

javatools (0.41) unstable; urgency=low

  [ Sylvestre Ledru ]
  * jh_makepkg:
    - Switch the OpenJDK6 path to the multiarch one.
    - Remove the sun-java6 support since it has been
      removed from the archive
    - Provide the support for OpenJDK 7
    - Create the new package under the source format 3.0
    - -doc packages are now in the doc section.

  [ Niels Thykier ]
  * Produce a better error message when a non-existent Jar file is
    passed to jh_manifest.
  * Try to parse arguments passed via -O for jh_lib.sh as regular
    options, but ignore them if they are unknown.  Previously, -O
    options was silently ignored.
  * Remove support for using the "sun" (and "sun6") JVM with
    jh_depends, as Debian is no longer ships the Sun/Oracle Java.
  * Bump libarchive-zip-perl depends as 1.30.5 was still affected
    by #654899.
  * jh_depends no longer emits dependencies with java-runtime or
    java2-runtime.  The minimum generated dependency is now
    java5-runtime.
  * Corrected class version calculation on big-endian architectures.
    Thanks to Kai Ruschenburg for the report and the correction.
    (Closes: #661632)
  * Use Standards-Versions 3.9.3 and the new DEP-5 URI in jh_makepkg
    for newly generated packages.
  * Bumped Standards-Versions 3.9.3 - no changes required.
  * Ensure the test suite fails if the java-arch.sh test fails.

 -- Niels Thykier <niels@thykier.net>  Tue, 13 Mar 2012 20:12:40 +0100

javatools (0.40) unstable; urgency=low

  * Fixed a regression jh_build (introduced in 0.38).
    (Closes: #656872)
  * Fixed the java architecture for s390x.

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Jan 2012 11:32:54 +0100

javatools (0.39) unstable; urgency=low

  * Corrected java-arch.sh output for armhf, sh4 and powerpcspe.

 -- Niels Thykier <niels@thykier.net>  Tue, 17 Jan 2012 13:31:58 +0100

javatools (0.38) unstable; urgency=low

  * Added missing empty line the in d/control generated by jh_makepkg
  * Bumped debhelper compat to 8 in packages generated by jh_makepkg
  * Fixed the "find" expressions in jh_repack to only remove files
    named "*.jar" or "*.class".  Thanks to Andrew Ross for the report.
    (Closes: #646514)
  * Fixed a bug where jh_build would generate manifests with lines
    longer than some jar implementations would allow.  Thanks to
    Giovanni Mascellani for the report.  (Closes: #653412)
  * Fixed a bug where java-propose-classpath would "hide" javax imports.
    Thanks to Jan Janak for the report and the correction.
    (Closes: #653731)
  * Bumped dependency on libarchive-zip-perl due to some issues with
    the previous version that caused corrupt jar files.  For more
    information, please refer to #654899.  Thanks to Wookey for the
    analysis and for identifying the source of the issue.
    (Closes: #634089)

 -- Niels Thykier <niels@thykier.net>  Mon, 16 Jan 2012 21:29:39 +0100

javatools (0.37) unstable; urgency=low

  [ Niels Thykier ]
  * Do not assume that $pkg/usr/share/doc is present when jh_depends
    runs.  (Closes: #632620)
  * Applied changes from NMU.
    - depend on gcj-jdk rather than gcj for java-propose-classpath.
  * Added support for -s/--same-arch in jh_lib and related shell
    scripts.  (Closes: #632619)

  [ Matthew Johnson ]
  * Default to -source 1.5 in jh_build unless specified in the extra
    args (Closes: #591874)

 -- Niels Thykier <niels@thykier.net>  Wed, 06 Jul 2011 14:53:12 +0200

javatools (0.36) unstable; urgency=low

  * Made jh_manifest always follow symlinks - the fix for this in
    0.35 was incomplete.  (Closes: #626329)

 -- Niels Thykier <niels@thykier.net>  Sat, 04 Jun 2011 13:30:53 +0200

javatools (0.35) unstable; urgency=low

  * Made jh_manifest always follow symlinks even if they are passed
    via command line.  (Closes: #626329)
  * Made jh_manifest fail if there are jar files it cannot find,
    unless the jar has been excluded.  This may cause packages to
    FTBFS instead of silently not shipping a jar file.
    (Closes: #626327)
  * Improved support for --no-act in jh_manifest.
  * Made jh_depends ignore links to jars as these most likely points
    to real jar files that it will end up processing any way.
    (Closes: #610817)

 -- Niels Thykier <niels@thykier.net>  Sat, 14 May 2011 17:27:59 +0200

javatools (0.34) unstable; urgency=low

  * Fixed a regression in 0.33 that in some cases would make
    jh_installlibs install in to the system root and not the package
    root.  (Closes: #624503)
  * Removed the -O option from jh_build since it clashed with a
    common debhelper option.  The longer form (--javadoc-opts) is
    still available and should be used instead.
  * Made all "jh_lib.sh"-based tools ignore the -O option, which is
    used by dh in some cases.  If you have been using -O with
    jh_build please switch to --javadoc-opts instead.
    (Closes: #623506, #624388)

 -- Niels Thykier <niels@thykier.net>  Fri, 29 Apr 2011 19:14:56 +0200

javatools (0.33) unstable; urgency=low

  [ Matthew Johnson ]
  * Fixed some bugs in jh_makepkg (Closes: #593351)
  * Support epochs in jh_installibs version mangling (Closes: #617897)

  [ Niels Thykier ]
  * Bumped Standards-Version 3.9.2 - no changes required.
    - Also bumped S-V in jh_makepkg.
  * Removed DMUA flag; no longer needed.
  * Removed -5/--sun5 option from jh_makepkg.
  * Used gcj-jdk instead of java-gcj-compat-dev in jh_makepkg.
  * Put the JDK dependency in Build-Depends of the control files
    generated by jh_makepkg, since it is needed by the clean rule.
  * Made cdbs run jh_installlibs before jh_manifest and jh_classpath.
    (Closes: #621857)
  * Converted tutorial into markdown format.
  * jh_installlibs now properly picks up the version of native packages.
    (Closes: #612404)
  * Made jh_installlibs respect its --tmpdir option. Previously it was
    silently ignored.
  * Added missing B-D-I on perl (for pod2man).
  * Migrated jh_generateorbitdir to the perl Manifest handler.
  * Fixed typo in jh_generateorbitdir and in jh_compilefeatures.
  * Fixed jh_classpath, which was horribly broken after the 0.32 upload.
    - It now adds debian/<pkg> automatically if it appears to be needed.
  * Made jh_manifest check the package dir if given a jar file, if said
    jar file does not exist.
  * Updated file suggestions for jh_classpath and added a note about
    the sequence change in the tutorial.
  * Updated jh_makepkg:
    - It now creates a separate doc package for the javadoc if making
      a library package.
    - It now adds ${java:Recommends} to all binary packages added.
  * Replaced old copyright template with a DEP-5 version.  Thanks to
    Martin Quinson for the suggestion and the template.
    (Closes: #623035)

 -- Niels Thykier <niels@thykier.net>  Sun, 17 Apr 2011 11:39:48 +0200

javatools (0.32) unstable; urgency=low

  [ Niels Thykier ]
  * Fixed quoting issue in jh_compilefeatures.
  * Renamed a function in the Eclipse module.
  * fetch-eclipse-source script to create tarballs from some eclipse
    upstreams. Its requirements have been added to javahelper's
    suggests.
  * Replaced jh_libs with jh_installlibs in the description of
    javahelper.
  * Bumped Standards-Versions to 3.9.0 - no changes required.
  * jh_depends now treats "headless" for the --jvm option differently.
    if "headless" is present then all JREs will be specified using
    their headless version. If headless is the only value, it will be
    read as "headless default".
  * jh_depends no longer recognises "sun5" as a valid JVM, since this
    has been removed from the archive. "sun" is now an alias of "sun6".
  * The --jvm "gcj" value for jh_depends now uses gcj-jre and not
    java-gcj-compat, since the latter is now a virtual package.
  * Made jh_depends produce (>= ${source:Version}) instead of
    (= ${binary:Version}). The latter would break with binNMUs.
  * jh_depends now generates a dependency list for javadocs based on
    which system javadocs they have been linked against. These packages
    are added to the new ${java:Recommends} variable.
  * jh_installeclipse now always emits ${orbit:Depends} even if it
    would be empty.
  * Fixed a formatting issue in the eclipse helpers.
  * Rewrote jh_manifest using debhelper as backend.
    - it now produces deterministic output (Closes: #574029)
    - removed all depends on python.
    - comments are now allowed in d/manifest files.
    - it will now produce a warning if a jar file listed in a d/manifest-
      file cannot be found (unless the jar was excluded).
  * Reordered the javahelper sequence so that jh_installlibs is now run
    before jh_classpath and jh_manifest.

  [ Matthew Johnson ]
  * If jars aren't specified by absolute path try finding them under
    /usr/share/java (Closes: #586783)
  * jh_build will now -link any javadoc in a package that you build-depend
    on
  * fix jh_build documentation

 -- Matthew Johnson <mjj29@debian.org>  Sun, 04 Jul 2010 10:04:17 +0000

javatools (0.31) unstable; urgency=low

  [ Matthew Johnson ]
  * Put javadoc in doc-base section Programming/Java (Closes: #579391)
  * Use debian instead of debian_bundle: the latter is deprecated

  [ Niels Thykier ]
  * Fixed missing clean of the orbitdeps cache.
  * Made jh_generateorbitdir handle absolute paths correctly.
  * Updated jh_{generateorbitdir,installeclipse} manpages.
  * Use "readlink -f" rather than "realpath". (Closes: #580840).
    Thanks to Colin Watson.
  * Added missing set -e to jarwrapper's prerm and postinst.
  * Corrected versioned depends on debhelper.
  * Corrected reference to javahelper's tutorials in the eclipse helpers.
  * Added manpage for jh_clean, jarwrapper and jardetector.
  * Removed the deprecated jh_libs command.
    - It has been deprecated since 0.6 (Feb 2008)
  * Updated the synopsis of the java-propose-classpath package to better
    describe what it provides.

 -- Niels Thykier <niels@thykier.net>  Sun, 30 May 2010 21:18:34 +0200

javatools (0.30) unstable; urgency=low

  [ Niels Thykier ]
  * Added myself to uploaders.
  * Created debhelper-like scripts for building eclipse features and
    added a dh7 sequence.
  * Added Vcs-* fields.
  * Replaced references to "dh_clean -k" with "dh_prep" in the tutorial.
    (Closes: #571097)
  * Added DM-Upload-Allowed.
  * Bumped Standards-Version to 3.8.4 - no changes required.

  [ Matthew Johnson ]
  * Make it a 3.0 (native) package

 -- Matthew Johnson <mjj29@debian.org>  Tue, 30 Mar 2010 00:11:37 +0100

javatools (0.29) unstable; urgency=low

  * keep --version and jh_makepkg depends up to date with latest javahelper
    version number
  * Use default-jdk-doc instead of classpath-doc for javadoc
  * Fix jh_build --help
  * Fix passing of javadoc-opts to jh_build (Closes: #567880)
  * Change maintainers to pkg-java
  * Add -t/--transitive flag to jh_linkjars (and fix obvious bug in it)
    (Closes: #565728)
  * Add sparc64 architecture translator (Closes: #570501)

 -- Matthew Johnson <mjj29@debian.org>  Sat, 20 Feb 2010 13:08:24 +0000

javatools (0.28) unstable; urgency=low

  * Reorder things in javahelper.pm and .mk to make jh_classpath and manifest
    work with jh_installlibs
  * add various version mangling options to jh_installlibs

 -- Matthew Johnson <mjj29@debian.org>  Wed, 20 Jan 2010 23:31:37 +0000

javatools (0.27) unstable; urgency=low

  * jh_installjavadoc now allows you to install to a configurable path
    (e.g. the one in the library package which you are meant to install
    to, rather than the one in the doc package)
  * jh_installibs will detect jars with -$VERSION in their name already
    and handle them correctly (it must match the upstream version in
    the changelog)
  * Build javadoc by default in jh_build and don't pass -J in the .pm
    (fails when you also pass other args via dh). Also, don't complain
    at spurious args if we've detected running with dh.
  * Add jh_linkjars command to create/remove symlink farms from
    build-deps
  * Update tutorials
  * Make cdbs class call jh_clean
  * Ensure that cdbs class is included before ant.mk so that jh_linkjars
    works

 -- Matthew Johnson <mjj29@debian.org>  Sun, 17 Jan 2010 13:28:06 +0000

javatools (0.26) unstable; urgency=low

  * Oops fix cleaning of jars in cdbs class
  * -s should actually be -a, oops (Closes: #560869)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 13 Dec 2009 01:44:29 +0000

javatools (0.25) unstable; urgency=low

  * Actually, can't use empty files in debian/
    as flags for jh_installjavadoc
  * Add jh_repack for use with uscan (Closes: #560060)
  * Update tutorials
  * Reference tutorials from man pages

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Dec 2009 17:06:41 +0000

javatools (0.24) unstable; urgency=low

  * Add jh_installjavadoc and have jh_build create the javadoc
  * jh_makepkg depend on default-jdk not default-jdk-builddep
  * jh_makepkg doesn't use dh_javadoc

 -- Matthew Johnson <mjj29@debian.org>  Tue, 08 Dec 2009 23:27:16 +0000

javatools (0.23) unstable; urgency=low

  * Fix detecting dependencies between binary packages from the same
    source (Closes: #543109)
  * Add a java-vars.mk with useful variables for building Java programs
    and also a java-arch.sh to both jarwrapper and javahelper for anything
    which does not use make (runtime and build-time variants)
    (Closes: #558109)
  * Add a -X option to jh_depends to ignore certain packages for depends
    (Closes: #559303)

 -- Matthew Johnson <mjj29@debian.org>  Sat, 05 Dec 2009 13:44:20 +0000

javatools (0.22) unstable; urgency=low

  * Fix typo in description
  * Add misc:Depends to java-propose-classpath

 -- Matthew Johnson <mjj29@debian.org>  Thu, 13 Aug 2009 00:03:11 +0100

javatools (0.21) unstable; urgency=low

  * Fix bug in jh_manifest when manifest file doesn't exist
  * Treat DH_VERBOSE as a -v flag to all programs
  * Split java-propose-classpath off to a separate package to
    avoid a hard dependency on gcj
  * Add jh_classpath which isn't tied specifically to manifest files
  * Fix jh_build not to require a JAVA_HOME if it's not actually trying to build
  * Update jh_makepkg to produce dh 7 packages
  * Fix bug in jh_depends which results in a jarwrapper dependency but no jvm

 -- Matthew Johnson <mjj29@debian.org>  Sat, 08 Aug 2009 13:46:17 +0100

javatools (0.20) unstable; urgency=low

  * Add dh 7 module from أحمد المحمودي (Closes: #536895)
  * Fix handling of jars which are symlinks not shipped in a deb
    (eg alternatives) (Closes: #537057)
  * Change java-propose-classpath to use jar xf not unzip and remove
    dependency on zip (Closes: #537059)
  * Fix handling of multiple Debian-java-home entries
    (patch from أحمد المحمودي) (Closes: #537074)
  * Fix jh_manifest reading of manifest lines with embedded line breaks
    and CRLF (patch from أحمد المحمودي) (Closes: #537241, #537262)
  * Add jh_clean for use from dh helper
  * Add option to use jh_build from debian/javabuild for use from dh helper
  * Fix jh_installlibs when the jar is not at the top level
  * Change this package to using dh 7

 -- Matthew Johnson <mjj29@debian.org>  Sat, 18 Jul 2009 01:16:42 +0100

javatools (0.19) unstable; urgency=low

  * Remove depends on icepick, use ugly hexdump hack instead,
    since I don't want to depend on openjdk (Closes: #532122)
  * Also, fix depends checking of packages with a Main-Class but
    no Debian-Java-Home
  * Change to sections java/devel
  * Fix bashism in jarwrapper (Closes: #530110)
  * Have propose-classpath check that symlinks point to real
    files before reading them (Closes: #510590)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 07 Jun 2009 09:52:24 +0100

javatools (0.18) unstable; urgency=low

  * Add cdbs class for javahelper
  * Merge experimental class version checking
  * Remove depends from jarwrapper on a JRE, everything using
    jarwrapper will need a JRE anyway.
  * Move to section java
  * Bump standards version

 -- Matthew Johnson <mjj29@debian.org>  Sun, 22 Mar 2009 15:27:41 +0000

javatools (0.17.experimental2) experimental; urgency=low

  * Fix the alternate depends to be correct

 -- Matthew Johnson <mjj29@debian.org>  Mon, 10 Nov 2008 21:16:23 +0000

javatools (0.17.experimental1) experimental; urgency=low

  * Add checking for class version in determining alternate depends

 -- Matthew Johnson <mjj29@debian.org>  Sun, 09 Nov 2008 22:59:14 +0000

javatools (0.17) unstable; urgency=medium

  * Remove build-arch-stamp and build-indep-stamp in all modes
    (Closes: #505066)
  * More manifest entry handling fixes, including in jh_depends and
    some tests (Closes: #503890)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 09 Nov 2008 22:05:34 +0000

javatools (0.16) unstable; urgency=medium

  * Don't append a space to manifest entries (Closes: #501516)

 -- Matthew Johnson <mjj29@debian.org>  Fri, 10 Oct 2008 21:00:09 +0000

javatools (0.15) unstable; urgency=medium

  * Add dependency on devscripts (Closes: #499538)

 -- Matthew Johnson <mjj29@debian.org>  Fri, 19 Sep 2008 22:24:49 +0000

javatools (0.14) unstable; urgency=low

  * Change openjdk dependency to be openjdk-6-jre, package name was wrong!

 -- Matthew Johnson <mjj29@debian.org>  Mon, 21 Jul 2008 11:31:29 +0100

javatools (0.13) unstable; urgency=low

  * Rewrite jh_manifest in python to better obey jar manifest specs
    (Closes: #489214)
  * Completely recreate jar to work around fastjar bugs
    (Closes: #489432)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 13 Jul 2008 00:29:51 +0100

javatools (0.12) unstable; urgency=low

  * Use openjdk instead of icedtea
  * jh_build needs to expand directory arguments to files because Sun Java
    does not support it. Also add better error handling for missing
    parameters.

 -- Matthew Johnson <mjj29@debian.org>  Mon, 30 Jun 2008 11:24:07 +0100

javatools (0.11) unstable; urgency=low

  * Fix missing "" to enable embedded spaces in jh_lib-parsed options

 -- Matthew Johnson <mjj29@debian.org>  Tue, 13 May 2008 01:43:40 +0100

javatools (0.10) unstable; urgency=low

  * Update to default-jdk/jre packages and default-java path

 -- Matthew Johnson <mjj29@debian.org>  Sat, 26 Apr 2008 12:54:10 +0100

javatools (0.9) unstable; urgency=low

  * Add --clean to jh_makepkg, removes common errors in Java source packages,
    such as:
      - built class files
      - built jar files
      - jar files from other packages
      - built javadoc trees

 -- Matthew Johnson <mjj29@debian.org>  Fri, 28 Mar 2008 14:47:47 +0000

javatools (0.8) unstable; urgency=low

  * Fix bug in jh_manifest when passing multiple jars on the commandline
  * Fix bug in jh_depends creating multiple identical dependencies
  * depend on realpath

 -- Matthew Johnson <mjj29@debian.org>  Wed, 26 Mar 2008 01:17:36 +0000

javatools (0.7) unstable; urgency=low

  * Calls dh_testdir in places, therefore, must depend on debhelper!
  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Wed, 06 Feb 2008 16:16:12 +0000

javatools (0.6) unstable; urgency=low

  * Add tutorials as docs
  * jh_makepkg use build-indep (patch from "Bernhard R. Link"
        <brlink@debian.org>)
  * change jh_libs to jh_installibs, jh_libs is a script which prints a
    warning and then calls jh_installibs
  * Add maven2 to build systems in jh_makepkg (needs testing)
  * Allow multiple entries in Debian-Java-Home
  * Use unversioned jcf-dump
  * java-propose-classpath can take class names as parameters

 -- Matthew Johnson <mjj29@debian.org>  Fri, 01 Feb 2008 12:25:17 +0000

javatools (0.5) unstable; urgency=low

  * Rename source package, add build-helper binary package
  * Add help2man manpages

 -- Matthew Johnson <mjj29@debian.org>  Sun, 13 Jan 2008 17:43:00 +0000

jarwrapper (0.4) unstable; urgency=low

  * Depend on java1-runtime | java2-runtime rather than java-runtime.
    (Closes: #460235)

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Jan 2008 12:04:26 +0000

jarwrapper (0.3) unstable; urgency=low

  * Depend on fastjar for detector (Closes: #442911)
  * Change maintainer address

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:23:36 +0000

jarwrapper (0.2) unstable; urgency=low

  * Remove bashisms

 -- Matthew Johnson <debian@matthew.ath.cx>  Mon, 20 Aug 2007 23:35:47 +0100

jarwrapper (0.1) unstable; urgency=low

  * Initial release (Closes: #423081)

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 09 May 2007 17:50:24 +0100
